Bug 150929 - generate-js-builtins.js should support @internal annotation
Summary: generate-js-builtins.js should support @internal annotation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-05 05:24 PST by youenn fablet
Modified: 2015-11-08 03:40 PST (History)
5 users (show)

See Also:


Attachments
Patch (10.93 KB, patch)
2015-11-05 06:02 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2015-11-05 05:24:19 PST
@internals allows to distinguish files containing JS built-in functions implementing public APIs, hence tied to a constructor/prototype from internal JS functions, stored within private slots of JSGlobalObject.
Comment 1 youenn fablet 2015-11-05 06:02:40 PST
Created attachment 264859 [details]
Patch
Comment 2 WebKit Commit Bot 2015-11-05 06:04:54 PST
This patch modifies the JS builtins code generator. Please ensure that you have rebaselined any generator test results (i.e., by running `Tools/Scripts/run-builtins-generator-tests --reset-results`)
Comment 3 youenn fablet 2015-11-05 06:08:48 PST
(In reply to comment #1)
> Created attachment 264859 [details]
> Patch

This patch only addresses XXBuiltinsFunctions boilerplate classes.
We should also remove XXBuiltinsWrapper::exportNames for non-@internal built-ins.
This might be better done as a follow-up patch once bug 150482 is resolved.
Comment 4 BJ Burg 2015-11-06 11:01:11 PST
Comment on attachment 264859 [details]
Patch

Nice!
Comment 5 WebKit Commit Bot 2015-11-08 03:40:32 PST
Comment on attachment 264859 [details]
Patch

Clearing flags on attachment: 264859

Committed r192142: <http://trac.webkit.org/changeset/192142>
Comment 6 WebKit Commit Bot 2015-11-08 03:40:37 PST
All reviewed patches have been landed.  Closing bug.